Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9271;

https://www.cip.audi.de/jira/browse/ACO

RE-9272;

https://www.cip.audi.de/jira/browse/ACO

RE-9273

Department: SUPPORT Affected Products: ADTF 3.2.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::Common

Resolution: Product Issue Opened FAQ Links:  

Description

Hallo,

Ich habe hier einen Kollegen der sich gerade ADTF 3.2.0 anschaut und noch ein paar Punkte fand. Punkt 3 habe ich einfach mal mit

weiter geleitet, aber ich weiß nicht ob sich der Aufwand lohnen würde.

·         1.

·         Zum Bauen der SDL example musste ich manuel den Eintrag SDL_LIBRARY hinzufügen (+ Add Entry) in CMake-gui. Das

sollte am besten automatisch passieren wenn man ADTF_ENABLE_SDL auf true setzt.

2.

Die Source Files die ich angeschaut habe, haben nun einen weitgehend einheitlichen Einrückstil und Zeilenumbruchsstil, was sehr

schön ist. Nur selten findet man noch Blanks am Zeilenende und Tabs zur Einrückung (z.B. demo_virtual_clock.h). Bei den

CMakeLists.txt Files ist der Stil noch nicht so gut: Einrückung per Tabs und Blanks, viel überflüssiger White Space. (Aber natürlich:

Geschmackssache)

·         3.

·         Auch beim release build werden die Debug plugindescriptions installiert. Das könnte verwirren ...

if (AEV_ENABLE_EXAMPLES_INSTALLATION)

adtf_install_target($ {EXAMPLE_TARGETNAME}

src/examples/bin)

install(FILES demo_virtual_clock.plugindescription DESTINATION src/examples/bin)

install(FILES demo_virtual_clock_debug.plugindescription DESTINATION src/examples/bin/debug RENAME

demo_virtual_clock.plugindescription)

endif (AEV_ENABLE_EXAMPLES_INSTALLATION)

History

#1 - 2017-12-05 12:23 - hidden

- Status changed from New to In Progress

- Topic set to ADTF::Common

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.2.0 added

- Platform Windows 7 64bit added

Hallo Volker,

bitte wie besprochen die angesprochenen Punkte ansehen.

Danke!

#2 - 2017-12-08 09:40 - hidden

- Project changed from Public Support to 7
#3 - 2017-12-08 10:07 - hidden

- Product Issue Numbers set to https://cip.web.audi.vwg/jira/browse/ACORE-9271; https://cip.web.audi.vwg/jira/browse/ACORE-9272;

https://cip.web.audi.vwg/jira/browse/ACORE-9273

Für alle drei angesprochenen Punkte wurden Tickets erstellt und eingeplant.

#4 - 2017-12-08 10:09 - hidden

- Status changed from In Progress to Customer Feedback Required

- Product Issue Numbers changed from https://cip.web.audi.vwg/jira/browse/ACORE-9271; https://cip.web.audi.vwg/jira/browse/ACORE-9272;

https://cip.web.audi.vwg/jira/browse/ACORE-9273 to https://cip.web.audi.vwg/jira/browse/ACORE-9271

https://cip.web.audi.vwg/jira/browse/ACORE-9272 https://cip.web.audi.vwg/jira/browse/ACORE-9273

Für alle drei angesprochenen Punkte wurden Tickets erstellt (siehe Product Issue Number) und eingeplant.

#5 - 2017-12-08 10:58 - hidden

- Resolution set to Product Issue Opened

- Support Level changed from 2nd Level to 3rd Level

#6 - 2017-12-08 11:00 - hidden

- Product Issue Numbers changed from https://cip.web.audi.vwg/jira/browse/ACORE-9271 https://cip.web.audi.vwg/jira/browse/ACORE-9272

https://cip.web.audi.vwg/jira/browse/ACORE-9273 to https://www.cip.audi.de/jira/browse/ACORE-9271;

https://www.cip.audi.de/jira/browse/ACORE-9272; https://www.cip.audi.de/jira/browse/ACORE-9273

#8 - 2017-12-14 14:36 - hidden

- Status changed from Customer Feedback Required to To Be Closed

#9 - 2017-12-18 08:59 - hidden

- Subject changed from ADTFS-48135 ADTF Examples Build in ADTF 3.2.0 to ADTFS-48135 Unexpected behaviour building the ADTF examples

- Status changed from To Be Closed to Closed

#10 - 2018-01-25 12:00 - hidden

- Project changed from 7 to Public Support

- Private changed from Yes to No

#11 - 2020-07-07 16:56 - hidden

- Description updated
